at.chipkarte.client.elgaad.soap

## Class AntikoerperBestimmung

- Object
- - at.chipkarte.client.elgaad.soap.AntikoerperBestimmung

-     public class AntikoerperBestimmung
      extends Object

  Daten der Antikörper-Bestimmung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntikoerperBestimmung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthorBody` | `getAuthor()` Autor des Dokuments.
    `AntikoerperBestimmungBefundgruppe[]` | `getBefundgruppen()` Liste von Befundgruppen.
    `DokumentReferenz` | `getReferenz()` Referenz auf den zugehörigen Impfpass.
    `void` | `setAuthor(AuthorBody author)`
    `void` | `setBefundgruppen(AntikoerperBestimmungBefundgruppe[] befundgruppen)`
    `void` | `setReferenz(DokumentReferenz referenz)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntikoerperBestimmung

          public AntikoerperBestimmung()

  - ### Method Detail

    - #### getAuthor

          public AuthorBody getAuthor()

      Autor des Dokuments. Siehe `Metadaten`.
      Angabe: Kann.
      Returns:
        Author.

    - #### setAuthor

          public void setAuthor(AuthorBody author)

    - #### getReferenz

          public DokumentReferenz getReferenz()

      Referenz auf den zugehörigen Impfpass. Siehe `Metadaten`.
      Angabe: Keine Eingabe zulässig. Dient nur der Ausgabe.
      Returns:
        DokumentReferenz.

    - #### setReferenz

          public void setReferenz(DokumentReferenz referenz)

    - #### getBefundgruppen

          public AntikoerperBestimmungBefundgruppe[] getBefundgruppen()

      Liste von Befundgruppen. Siehe `AntikoerperBestimmungBefundgruppe`.
      Angabe: Muss.
      Returns:
        Liste von Befundgruppen.

    - #### setBefundgruppen

          public void setBefundgruppen(AntikoerperBestimmungBefundgruppe[] befundgruppen)